### Abstract ###

Name: evolution-sharp
Version: 0.12.2
Release: 1%{?dist}
License: LGPL
Group: System Environment/Libraries
Summary: Evolution Data Server Mono Bindings
URL: http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc

### Patches ###

Patch1: evolution-sharp-0.11.1-libdir.patch

# RH bug #221555
Patch2: evolution-sharp-0.12.1-fix-assembly-dir.patch

### Dependencies ###

Requires: evolution-data-server

### Build Dependencies ###

BuildRequires: automake
BuildRequires: evolution-data-server-devel
BuildRequires: evolution-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: gtk-sharp2-gapi
BuildRequires: libtool
BuildRequires: mono-devel

%description
Mono/C# bindings for the Evolution addressbook.

%package devel
Summary: Development files for evolution-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains development files for evolution-sharp.

%prep
%setup -q
%patch1 -p1 -b .libdir
%patch2 -p1 -b .fix-assembly-dir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/*.so
%{_libdir}/mono/gac/evolution-sharp/
%{_libdir}/mono/evolution-sharp/evolution-sharp.dll
%{_datadir}/gapi-2.0/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/evolution-sharp.pc

# !!! REMINDER !!!
#
# If building against a new version of evolution-data-server, the required
# sonames may need to be updated in evolution-sharp's configure.in.

%changelog
* Tue Jan 23 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.2-1.fc7
- Update to 0.12.2

* Fri Jan 05 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-2.fc7
- Add patch for RH bug #221555 (wrong install directory).
- Fix location of mono files to conform to packaging guidelines.

* Wed Jan 03 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-1.fc7
- Update to 0.12.1
- Remove evolution-sharp-0.11.1-evo210.patch (fixed upstream).
- Mono files now live in %{_prefix}/lib rather than %{_libdir}.

* Fri Nov 17 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12.0-1.fc7
- Update to 0.12.0
- Don't ship unused patches.
- Remove evolution-sharp-evo26.patch (fixed upstream).
- Remove evolution-sharp-0.11.1-evo28.patch (fixed upstream).

* Mon Oct 30 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-12.fc7
- Put pkgconfig file in a devel subpackage (bug #205049).

* Sat Oct 28 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-11.fc7
- Update configure.in for Evolution 2.10.
- Add BuildRequires for gtk-sharp2-devel.

* Tue Sep 12 2006 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-10
- Fix the libedataserver version

* Mon Sep 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-9
- Rebuild again

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.11.1-8
- Rebuild with the new mono libdir

* Mon Aug  7 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-7
- Rebuild for evolution-data-server-1.7.91
- Update required sonames from e-d-s.

* Sat Aug  5 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-6
- Rebuild for evolution-data-server-1.7.90
- Update required sonames from e-d-s.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11.1-5.1
- rebuild

* Wed Jun 21 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-5
- Mono no longer available on s390 and s390x.

* Wed Jun 21 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-4
- Update evolution-sharp-0.11.1-evo28.patch to set ECAL_SOVERSION to 6.
- Fix BuildRoot

* Fri Jun 16 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-3
- Rebuild

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-1
- Update to 0.11.1
- Remove evolution-sharp-0.10.2-evolibdir.patch (fixed upstream).
- Remove pkg-config hunk from evolution-sharp-evo26.patch (fixed upstream).
- Add evolution-sharp-0.11.1-evo28.patch for compatibility with Evolution 2.8.

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.10.2-9
- BuildRequire gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-8
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.10.2-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-7
- Update evolution-sharp-evo26.patch look for a SO_NUM of 7 for edataserver
- BuildRequire evolution-devel

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-6
- Rebuild

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.10.2-5
- rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.10.2-4
- Build on s390x

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-3
- Fix evo 2.6 patch
- Add evolibdir pkg-config variable patch from cvs (modified for evo 2.6)

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-2
- Add s390 arch
- Build with evo 2.6

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.10.2-1
- Initial version
